Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.folders
Class FolderBaseImpl

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.folders.FolderBaseImpl

All Implemented Interfaces
  ContentBase, FolderBase, Serializable

Direct Known Subclasses:
  CmBrowserFolder

    public class FolderBaseImpl

extends ContentBaseImpl
implements FolderBase

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`FolderBaseImpl()`
`FolderBaseImpl(Node node)`

Method Summary
`com.bea.apps.groupspace.icons.Icon` | `getIcon()`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getDisplayName, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.content.ContentBase
`getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getDisplayName, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty`

Constructor Detail

### FolderBaseImpl

    public FolderBaseImpl()

### FolderBaseImpl

    public FolderBaseImpl(Node node)

Method Detail

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon()

  Specified by:
    `getIcon` in interface `ContentBase`
  Overrides:
    `getIcon` in class `ContentBaseImpl`
  Returns
    folder image of `Icon.Size.SIXTEEN`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved